Get XML Pop Feed
This endpoint fetches Pop Feed(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/xml/popfeed/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | Pop Feed ID, if sent, request will fetch Pop Feed with exact ID, otherwise it fill fetch all Pop Feeds. | optional |
| PublisherId | int | Publisher ID, if sent, request will fetch Pop Feeds with exact publisher ID, otherwise it fill fetch all Pop Feeds. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch Pop Feeds with exact Account Manager ID (User ID), otherwise it fill fetch all Pop Feeds. | optional |
| ActiveOnly | int | Request will fetch only active Pop Feeds if set to 1, otherwise it fill fetch all Pop Feeds. | optional |
To get Pop Feed, send query parameter like this: Id=1 or PublisherId=1 or AccManagerId=5
Or if you want to get all Pop Feeds, don’t include either of Id or PublisherId or AccManagerId parameter, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "Pop Feed 1", "Tags": [ 1 ], "Bidfloor": 0.5, "PublisherProfitShare": 90.0, "MaxQps": 0, "Tmax": 300, "AuctionType" : 2, "Secure": 1, "AutoOptimize": 1, "SendOriginalSite": 0, "FallbackUrl": "", "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "SubidListMode": 0, "SubidList": "", "KeywordBlacklistsType": 0, "KeywordBlacklists": [ 1 ], "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "Auth": "yI4de6", "AuthDirectUrl": "26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "FeedUrls": [ { "Region": "us-east", "FeedUrlXml": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}", "FeedUrlJson": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}" } ], "DirectUrls": [ { "Region": "us-east", "DirectUrl": "https://us-east.adelion.com/direct?feed=1&auth=26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb" } ], "StatsByDate": "https://adelion.com/api/xml/stats/publisher/pop?username=publisher1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspPopFeeds": [ 1 ]}[ { "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "Pop Feed 1", "Tags": [ 1 ], "Bidfloor": 0.5, "PublisherProfitShare": 90.0, "MaxQps": 0, "Tmax": 300, "AuctionType" : 2, "Secure": 1, "AutoOptimize": 1, "SendOriginalSite": 0, "FallbackUrl": "", "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "MaxIvt": 50.0, "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "JsCheck": 0, "Auth": "yI4de6", "AuthDirectUrl": "26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "FeedUrls": [ { "Region": "us-east", "FeedUrlXml": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}", "FeedUrlJson": "https://us-east.adelion.com/pop?feed=1&auth=yI4de6&subid={subid}&query={query}&user_ip={user_ip}&ua={ua}&url={url}&uid={uid}" } ], "DirectUrls": [ { "Region": "us-east", "DirectUrl": "https://us-east.adelion.com/direct?feed=1&auth=26efcc7e4f8dca3374c1d0971b0cf9bf03d25f4affdfc633e1fda0214b092bb" } ], "StatsByDate": "https://adelion.com/api/xml/stats/publisher/pop?username=publisher1&auth=7sdd23&feed=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspPopFeeds": [ 1 ] }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |